TCUTEST(1)

NAME
tcutest - test cases of the utility API

DESCRIPTION

The command `tcutest' is a utility for facility test and performance test. This command is used in the following format. `rnum' specifies the number of iterations. `anum' specifies the initial number of elements of array. `bnum' specifies the number of buckets.

    tcutest xstr rnum
        Perform test of extensible string.
    tcutest list [-rd] rnum [anum]
        Perform test of array list.
    tcutest map [-rd] [-tr] [-rnd] [-dk|-dc|-dai|-dad|-dpr] rnum [bnum]
        Perform test of hash map.
    tcutest tree [-rd] [-tr] [-rnd] [-dk|-dc|-dai|-dad|-dpr] rnum
        Perform test of ordered tree.
    tcutest mdb [-rd] [-tr] [-rnd] [-dk|-dc|-dai|-dad|-dpr] rnum [bnum]
        Perform test of on-memory hash database.
    tcutest ndb [-rd] [-tr] [-rnd] [-dk|-dc|-dai|-dad|-dpr] rnum
        Perform test of on-memory tree database.
    tcutest misc rnum
        Perform test of miscellaneous routines.
    tcutest wicked rnum
        Perform updating operations of list and map selected at random.

Options feature the following.

    -rd : perform the reading test also.
    -tr : perform the iterator test also.
    -rnd : select keys at random.
    -dk : use the function `tcxxxputkeep' instead of `tcxxxput'.
    -dc : use the function `tcxxxputcat' instead of `tcxxxput'.
    -dai : use the function `tcxxxaddint' instead of `tcxxxput'.
    -dad : use the function `tcxxxadddouble' instead of `tcxxxput'.
    -dpr : use the function `tcxxxputproc' instead of `tcxxxput'.

This command returns 0 on success, another on failure.

SEE ALSO

tcumttest(1), tcucodec(1), tcutil(3), tokyocabinet(3)